/*******************************************************************************
 * FoxSocialCategoryInventory generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSocialCategoryInventory extends FoxSocialUICategoryBase within FoxSocialUI
    native(UI)
    config(UI);

var const config array<config BaseUnlockFilterEntry> UnlockFilters;
var private FoxUIInventoryListWidget InventoryListWidget;
var private string CategoryScrollerPath;
var private GFxObject ActivateButtonWidget;
var private GFxObject DestroyButtonWidget;
var private GFxObject DeselectButtonWidget;
var private GFxObject InventorySelectCountWidget;
var private GFxObject MailButtonWidget;
var private bool bChoosingMailAttachments;
var private bool bShowPermanent;

function Initialize()
{
    local string DefaultButton;
    local int CategoryIndex;

    super.Initialize();
    ButtonContainerPath = Outer.as_AddSocialButtonContainer("inventoryTabs", 0, 65, -18, 800, 175, false);
    // End:0x148
    if(Outer.PendingSendMailInfo.bChooseMailItems)
    {
        bChoosingMailAttachments = true;
        Outer.PendingSendMailInfo.bChooseMailItems = false;
        CategoryIndex = 1;
        DefaultButton = as_AddSocialSubcategory("ValidMailLabel", "ValidMailTooltip", "ApplyCategoryFilter", string(CategoryIndex), "");
        as_PlaceSocialHorizLines("socialLine", 0, 24);
    }
    // End:0x2D4
    else
    {
        CategoryIndex = 0;
        DefaultButton = as_AddSocialSubcategory("AllLabel", "AllTooltip", "ApplyCategoryFilter", string(CategoryIndex), "");
        CategoryIndex = 4;
        as_AddSocialSubcategory("OwnedLabel", "OwnedTooltip", "ApplyCategoryFilter", string(CategoryIndex), "");
        CategoryIndex = 3;
        as_AddSocialSubcategory("ActiveLabel", "ActiveTooltip", "ApplyCategoryFilter", string(CategoryIndex), "");
        CategoryIndex = 1;
        as_AddSocialSubcategory("InactiveLabel", "InactiveTooltip", "ApplyCategoryFilter", string(CategoryIndex), "");
        as_PlaceSocialHorizLines("socialLine", 0, 24);
    }
    SetUpInventoryPage();
    Outer.Outer.Outer.Advance(0.0);
    Outer.Outer.Outer.as_SelectButton(DefaultButton);
    //return;    
}

function NotifyClosing()
{
    local FoxLoadoutInfo Loadout;

    super.NotifyClosing();
    // End:0x1DD
    if((Outer.Outer.Outer.PCOwner != none) && FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo) != none)
    {
        Loadout = FoxPRI(Outer.Outer.Outer.PCOwner.PlayerReplicationInfo).Loadout;
        // End:0x1DD
        if((Loadout != none) && Loadout.ValidityCheckLoadoutInfo())
        {
            Outer.Outer.Outer.PCOwner.RefreshLoadout();
        }
    }
    // End:0x2C5
    if((Outer.Outer.ArmoryInfo != none) && Outer.Outer.ArmoryInfo.CustomizationNode != none)
    {
        Outer.Outer.ArmoryInfo.CustomizationNode.RebuildScroller();
    }
    // End:0x2FE
    if(InventoryListWidget != none)
    {
        InventoryListWidget.Cleanup();
        InventoryListWidget = none;
    }
    //return;    
}

function SetUpInventoryPage()
{
    local string ObjectPath;
    local int I;
    local array<string> FilterGuids;

    // End:0x8C
    if(Outer.InventoryTutorial != "")
    {
        Outer.Outer.Outer.ui_RunCommandGroup(Outer.InventoryTutorial);
    }
    Outer.as_AddSocialButtonContainer("inventoryPage", 0, 65, -18, 800, 175, false);
    ApplyScrollerEntries();
    as_PlaceSocialHorizLines("inventoryLine", 0, 402);
    ObjectPath = as_AddInventoryList(0, 51, "");
    Outer.Outer.Outer.Advance(0.0);
    InventoryListWidget = FoxUIInventoryListWidget(Outer.Outer.Outer.GetVariableObject(ObjectPath, class'FoxUIInventoryListWidget'));
    ActivateButtonWidget = none;
    Outer.Outer.MailButtonObject = none;
    DestroyButtonWidget = none;
    DeselectButtonWidget = none;
    InventorySelectCountWidget = none;
    // End:0x44D
    if(InventoryListWidget != none)
    {
        InventoryListWidget.__OnSelectListEntry__Delegate = SelectInventoryItem;
        InventoryListWidget.__OnWorkingDialogShow__Delegate = ShowWorkingDialog;
        InventoryListWidget.__OnWorkingDialogHide__Delegate = HideWorkingDialog;
        InventoryListWidget.bShowPermanent = bShowPermanent;
        InventoryListWidget.Initialize(Outer.Outer.Outer.PCOwner);
        // End:0x44D
        if(bChoosingMailAttachments)
        {
            I = 0;
            J0x37C:
            // End:0x425 [Loop If]
            if(I < Outer.PendingSendMailInfo.Items.Length)
            {
                FilterGuids.AddItem(Outer.PendingSendMailInfo.Items[I].InstanceId);
                ++ I;
                // [Loop Continue]
                goto J0x37C;
            }
            InventoryListWidget.ApplyGuidFilter(FilterGuids);
        }
    }
    //return;    
}

function ApplyCategoryFilter(string TabType)
{
    // End:0x5B
    if(InventoryListWidget != none)
    {
        InventoryListWidget.ApplyPurchaseStateFilter(byte(int(TabType)));
        InventoryListWidget.Refresh();
    }
    //return;    
}

protected function string SocialSectionLocalize(string Key)
{
    return Outer.Outer.LocalizeMenuString(Key, "Inventory");
    //return ReturnValue;    
}

function SetInteractionButtons(int ItemCount, bool bCanActivate, bool bCanDestroy, bool InCanMail, bool bCanRenew)
{
    local string ObjectPath, ActivateLabel, ActivateTooltip, DestroyLabel, DestroyTooltip, DeselectLabel,
	    DeselectTooltip, MailLabel, MailTooltip, RenewLabel, RenewTooltip;

    local bool bCanMail;
    local int MailCount;

    MailCount = ItemCount + Outer.PendingSendMailInfo.Items.Length;
    bCanMail = (InCanMail && MailCount > 0) && MailCount <= 4;
    ActivateLabel = "ActivateItemLabel";
    ActivateTooltip = "ActivateTooltip";
    DestroyLabel = "DestroyItemLabel";
    DestroyTooltip = "DestroyTooltip";
    DeselectLabel = "DeselectItemLabel";
    DeselectTooltip = "DeselectTooltip";
    MailLabel = "MailItemLabel";
    MailTooltip = "MailItemTooltip";
    RenewLabel = "RenewItemLabel";
    RenewTooltip = "RenewitemTooltip";
    GetInventoryInteractionButtonText(ActivateLabel, ActivateTooltip, ItemCount, bCanActivate);
    GetInventoryInteractionButtonText(DestroyLabel, DestroyTooltip, ItemCount, bCanDestroy);
    GetInventoryInteractionButtonText(MailLabel, MailTooltip, MailCount, bCanMail);
    GetInventoryInteractionButtonText(DeselectLabel, DeselectTooltip);
    GetInventoryInteractionButtonText(RenewLabel, RenewTooltip, ItemCount, bCanRenew);
    as_AddInventoryButtonContainer("inventoryButtons", 0, 410, -15, 300, 175, false);
    ObjectPath = as_AddInventoryInteractionButton(DeselectLabel, DeselectTooltip, "ei_DeselectItem", "", "", ItemCount > 0);
    DeselectButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
    // End:0x3EA
    if(bChoosingMailAttachments)
    {
        ObjectPath = as_AddInventoryInteractionButton(MailLabel, MailTooltip, "ei_MailItem", "", "", bCanMail);
        MailButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
    }
    // End:0x66A
    else
    {
        ObjectPath = as_AddInventoryInteractionButton(ActivateLabel, ActivateTooltip, "ei_ActivateItem", "", "", bCanActivate);
        ActivateButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
        ObjectPath = as_AddInventoryInteractionButton(DestroyLabel, DestroyTooltip, "ei_DestroyItem", "", "", bCanDestroy);
        DestroyButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
        ObjectPath = as_AddInventoryInteractionButton(RenewLabel, RenewTooltip, "ei_RenewItem", "", "", bCanRenew);
        MailButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
        ObjectPath = as_AddInventoryInteractionButton(MailLabel, MailTooltip, "ei_MailItem", "", "", bCanMail);
        MailButtonWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
    }
    //return;    
}

function SetSelectedItemCount(int ItemCount)
{
    local string ObjectPath;

    // End:0x102
    if(InventorySelectCountWidget == none)
    {
        as_AddDestroyItemButtonContainer("inventoryButtons2", 521, 410, -10, 800, 175, false);
        ObjectPath = as_AddInventorySelectTotal();
        Outer.Outer.Outer.Advance(0.0);
        InventorySelectCountWidget = Outer.Outer.Outer.GetVariableObject(ObjectPath);
    }
    // End:0x147
    if(InventorySelectCountWidget != none)
    {
        InventorySelectCountWidget.SetString("textLabel", string(ItemCount));
    }
    //return;    
}

protected function ApplyScrollerEntries()
{
    local array<string> ScrollerEntries;
    local int I;

    I = 0;
    J0x0B:
    // End:0xA7 [Loop If]
    if(I < UnlockFilters.Length)
    {
        ScrollerEntries.AddItem(Outer.Outer.LocalizeMenuString(UnlockFilters[I].EntryLabel, "UnlockFilters"));
        ++ I;
        // [Loop Continue]
        goto J0x0B;
    }
    CategoryScrollerPath = as_addCategoryBar(0, 30, ScrollerEntries, 0, "ei_ChangeInventoryCategory");
    Outer.Outer.Outer.Advance(0.0);
    as_addPermToggle("PermToggleLabel", "PermToggleTooltip", "ei_togglePermanentItems", bShowPermanent);
    ei_ChangeInventoryCategory(0);
    //return;    
}

function ei_togglePermanentItems(bool bState)
{
    bShowPermanent = bState;
    // End:0x6E
    if(InventoryListWidget != none)
    {
        InventoryListWidget.bShowPermanent = bShowPermanent;
        InventoryListWidget.Refresh();
    }
    //return;    
}

function ei_ChangeInventoryCategory(int Index)
{
    local array<FoxTypes.EFoxUnlockType> UnlockFilter;

    // End:0xB2
    if(((InventoryListWidget != none) && Index >= 0) && Index < UnlockFilters.Length)
    {
        UnlockFilter = UnlockFilters[Index].UnlockTypes;
        InventoryListWidget.ApplyUnlockTypeFilter(UnlockFilter);
        InventoryListWidget.Refresh();
    }
    //return;    
}

function SelectInventoryItem(int UnlockID, string ItemGuid)
{
    local int I;
    local array<string> SelectedItemGuids;
    local bool bCanActivate, bCanDestroy, bCanMail, bCanRenew;

    // End:0x247
    if(InventoryListWidget != none)
    {
        SelectedItemGuids = InventoryListWidget.GetSelectedListItems();
        bCanActivate = SelectedItemGuids.Length > 0;
        bCanDestroy = bCanActivate;
        bCanMail = bCanActivate;
        bCanRenew = bCanActivate;
        I = 0;
        J0x9A:
        // End:0x1F7 [Loop If]
        if(I < SelectedItemGuids.Length)
        {
            bCanActivate = bCanActivate && InventoryListWidget.CanActivateItem(SelectedItemGuids[I]);
            bCanDestroy = bCanDestroy && InventoryListWidget.CanDestroyItem(SelectedItemGuids[I]);
            bCanMail = bCanMail && InventoryListWidget.CanMailItem(SelectedItemGuids[I]);
            bCanRenew = bCanRenew && InventoryListWidget.CanRenewItem(SelectedItemGuids[I]);
            ++ I;
            // [Loop Continue]
            goto J0x9A;
        }
        SetInteractionButtons(SelectedItemGuids.Length, bCanActivate, bCanDestroy, bCanMail, bCanRenew);
        SetSelectedItemCount(SelectedItemGuids.Length);
    }
    //return;    
}

function GetInventoryInteractionButtonText(out string Label, out string ToolTip, optional int ItemCount, optional bool bEnabled)
{
    bEnabled = true;
    Label = SocialSectionLocalize(Label);
    ToolTip = SocialSectionLocalize(ToolTip);
    // End:0x88
    if(bEnabled && ItemCount > 0)
    {
        Label @= (("[" @ string(ItemCount)) @ "]");
    }
    //return;    
}

private final function ei_activateItem()
{
    // End:0x30
    if(InventoryListWidget != none)
    {
        InventoryListWidget.ActivateSelectedItems(false, true);
    }
    //return;    
}

private final function ei_MailItem()
{
    // End:0x2E
    if(InventoryListWidget != none)
    {
        InventoryListWidget.MailSelectedItems();
    }
    //return;    
}

private final function ei_RenewItem()
{
    // End:0x2E
    if(InventoryListWidget != none)
    {
        InventoryListWidget.RenewSelectedItems();
    }
    //return;    
}

private final function ei_DeselectItem()
{
    local array<string> SelectedItemGuids;

    // End:0x43
    if(InventoryListWidget != none)
    {
        SelectedItemGuids.Length = 0;
        InventoryListWidget.SetSelectedListItems(SelectedItemGuids);
    }
    //return;    
}

private final function ei_DestroyItem()
{
    // End:0x2E
    if(InventoryListWidget != none)
    {
        InventoryListWidget.DestroySelectedItems();
    }
    //return;    
}

protected function string as_AddInventorySelectTotal()
{
    return Outer.Outer.Outer.ActionScriptString("_root.addInventorySelectTotal");
    //return ReturnValue;    
}

function string as_AddInventoryList(int XPos, int YPos, string CallbackFunc)
{
    return Outer.Outer.Outer.ActionScriptString("_root.addInventoryListMulti");
    //return ReturnValue;    
}

function string as_AddInventoryInteractionButton(string Label, string ToolTip, string ClickInterface, string ClickArg, string TransitionType, optional bool bEnabled)
{
    local string ObjectPath;

    bEnabled = true;
    bEnabled = !bEnabled;
    ObjectPath = Outer.Outer.Outer.ActionScriptString("_root.addInventoryButtons");
    Outer.Outer.Outer.Advance(0.0);
    return ObjectPath;
    //return ReturnValue;    
}

function as_addPermToggle(string Label, string ToolTip, string ExtInterfaceClickFunc, bool bState)
{
    Label = SocialSectionLocalize(Label);
    ToolTip = SocialSectionLocalize(ToolTip);
    Outer.Outer.Outer.ActionScriptVoid(CategoryScrollerPath $ ".setupPermToggle");
    //return;    
}

defaultproperties
{
    UnlockFilters(0)=(EntryLabel="All",UnlockTypes=none)
    UnlockFilters(1)=EntryLabel="Weapons",UnlockTypes=(179,113,0,0,0),
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(2)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(3)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(4)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(5)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(6)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(7)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(8)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(9)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(10)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(11)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(12)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(13)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    UnlockFilters(14)=
/* Exception thrown while deserializing UnlockFilters
System.ArgumentOutOfRangeException: Der Index lag au?erhalb des Bereichs. Er darf nicht negativ und kleiner als die Sammlung sein.
Parametername: index
   bei System.ThrowHelper.ThrowArgumentOutOfRangeException(ExceptionArgument argument, ExceptionResource resource)
   bei UELib.UName.Deserialize(IUnrealStream stream)
   bei UELib.UObjectStream.ReadNameReference()
   bei UELib.Core.UDefaultProperty.Deserialize()
   bei UELib.Core.UDefaultProperty.DeserializeDefaultPropertyValue(PropertyType type, DeserializeFlags& deserializeFlags) */
    bShowPermanent=true
}